# OgreSharedPtr.h File Reference

`#include "OgrePrerequisites.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Enumerations

enum | SharedPtrFreeMethod { SPFM_DELETE, SPFM_DELETE_T, SPFM_FREE }
| The method to use to free memory on destruction. More...

## Functions

template<class T, class U>
bool | operator== (SharedPtr< T > const &a, SharedPtr< U > const &b)
template<class T, class U>
bool | operator!= (SharedPtr< T > const &a, SharedPtr< U > const &b)
template<class T, class U>
bool | operator< (SharedPtr< T > const &a, SharedPtr< U > const &b)

## Enumeration Type Documentation

enum Ogre::SharedPtrFreeMethod

The method to use to free memory on destruction.

Enumeration values:

  SPFM_DELETE | Use OGRE_DELETE to free the memory.
  SPFM_DELETE_T | Use OGRE_DELETE_T to free (only MEMCATEGORY_GENERAL supported).
  SPFM_FREE | Use OGRE_FREE to free (only MEMCATEGORY_GENERAL supported).

Definition at line 37 of file OgreSharedPtr.h.

## Function Documentation

template<class T, class U>
bool Ogre::operator!= | ( | SharedPtr< T > const & | a,
|  | SharedPtr< U > const & | b
| ) |

| Definition at line 255 of file OgreSharedPtr.h. References Ogre::SharedPtr< T >::get().

template<class T, class U>
bool Ogre::operator< | ( | SharedPtr< T > const & | a,
|  | SharedPtr< U > const & | b
| ) |

| Definition at line 260 of file OgreSharedPtr.h.

template<class T, class U>
bool Ogre::operator== | ( | SharedPtr< T > const & | a,
|  | SharedPtr< U > const & | b
| ) |

| Definition at line 250 of file OgreSharedPtr.h. References Ogre::SharedPtr< T >::get().

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:45 2009